Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 615484 - app-misc/symlinks add license
Summary: app-misc/symlinks add license
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Shell Tools Herd Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-13 21:00 UTC by Alessandro Barbieri
Modified: 2017-04-20 09:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Barbieri 2017-04-13 21:00:17 UTC
The author explained the license status here
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=273338

It's now:

Use and distribute and modify as you (or anyone else) sees fit.
There have no formal restrictions or requirements whatsoever
regarding distribution of either binaries or source code,
whether modified or original.

If this license fits in the FREE-MISC group, can be added to it?
Comment 1 Ulrich Müller gentoo-dev 2017-04-16 14:06:54 UTC
I think we should include the full message of the clarification, see below.
@Licenses team: This indeed looks like a candidate for MISC-FREE to me.

----- 8< ----- 8< -----
From: Mark Lord <mlord@pobox.com>
To: 273338@bugs.debian.org
Subject: symlinks utility: license policy
Date: Mon, 14 Mar 2005 08:54:57 -0500

Hi,

My "symlinks" utility pre-dates the "open source licensing" fad
by a number of years.  Just to clarify, this is 100% freeware,
written entirely by myself.  The intent is to use it to detect
missing/obsolete symlink targets on an installed distro, before
creating the "gold" (or "final") release discs.

Use and distribute and modify as you (or anyone else) sees fit.
There have no formal restrictions or requirements whatsoever
regarding distribution of either binaries or source code,
whether modified or original.

Cheers
-- 
Mark Lord
Real-Time Remedies Inc.
mlord@pobox.com
----- 8< ----- 8< -----
Comment 2 Ulrich Müller gentoo-dev 2017-04-20 09:12:02 UTC
(In reply to Ulrich Müller from comment #1)
> I think we should include the full message of the clarification, see below.
> @Licenses team: This indeed looks like a candidate for MISC-FREE to me.

No objections raised, so I have committed a new license "symlinks" and added it to MISC-FREE. I have also updated LICENSE of the package.

Thanks for reporting!